Project
Retrieves project detailed information by project ID.
Project ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/projects/{id} HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Modifies the project name by project ID.
Project ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
PUT /api/v1/projects/{id} HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Restores trash projects using a list of project IDs.
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
POST /api/v1/projects/restore HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves the list of bookmarked projects.
Use Cases
Check list of projects bookmarked by the user
Manage bookmarked projects by enterprise/individual
Search and filter bookmarked projects
Pagination
Offset-based paging (starts from 0)
limit: page size (min 1, max 100)
Check existence of the next page using hasNext in the response
Filter Conditions
bookmarkOwnerType: Bookmark owner type (Required)
projectDirectoryType: Project directory type (Required)
userId: Required for PERSONAL type
directoryId: Retrieve within a specific directory
targetType: User search type
keyword: Project name search
sortType: Sort criteria (default: ID_DESC)
status: Project status (default: ACTIVE)
User ID (Required for PERSONAL type)
Bookmark owner type
Project directory type
Directory ID
User search target type
Search keyword
Page number (starts from 0, offset paging)
Page size (min: 1, max: 100)
Sort Type
ID_DESCPossible values: Active Status
ACTIVEPossible values: All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/bookmark-projects?bookmarkOwnerType=PERSONAL&projectDirectoryType=ENTERPRISE&offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Adds or removes a bookmark on a project.
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
POST /api/v1/bookmark-projects HTTP/1.1
Host: openapi.archisketch.com
Content-Type: application/json
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves the list of shared projects.
Use Cases
Check list of projects shared by/with the user
Manage projects by sharing direction
Search shared projects
Pagination
Offset-based paging (starts from 0)
limit: page size (min 1, max 100)
Check existence of the next page using hasNext in the response
Filter Conditions
userId: User ID (Required)
shareDirection: Sharing direction (Required)
keyword: Project name search
sortType: Sort criteria (default: ID_DESC)
User ID
Sharing type
Project name search keyword
Page number (starts from 0, offset paging)
Page size (min: 1, max: 100)
Sort Type
ID_DESCPossible values: All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/share-projects?userId=text&shareDirection=SHARED_BY_ME&offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves the project list based on the project directory type.
Use Cases
Retrieve project list by enterprise/individual directory
Filter projects within a specific directory
Search projects by user and keyword
Pagination
Offset-based paging (starts from 0)
limit: page size (min 1, max 100)
Check existence of the next page using hasNext in the response
Filter Conditions
projectDirectoryType: Project directory type (Required)
userId: Required for PERSONAL type
directoryId: Retrieve within a specific directory
targetType: User search type
keyword: Project name search
sortType: Sort criteria (default: ID_DESC)
status: Project status (default: ACTIVE)
Project directory type
User ID (Required for PERSONAL type)
Page number (starts from 0, offset paging)
Page size (min: 1, max: 100)
Directory ID
User search target type
Search keyword
Sort Type
ID_DESCPossible values: Active Status
ACTIVEPossible values: All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/projects?projectDirectoryType=ENTERPRISE&offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Retrieves the current estimate data of the project.
Project ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/project/{id}/estimates HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Last updated
Was this helpful?

